package domain


type AlibabaWdkSupplierOrderListOrderListSyncPagedResult struct {
    /*
        返回下一查询页的序号。如果返回值是-1，则无下一页。数据拉取完成。     */
    NextIndex  *int64 `json:"next_index,omitempty" `

    /*
        returnCode     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        returnMsg     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        订单总数量     */
    TotalNumber  *string `json:"total_number,omitempty" `

    /*
        订单列表     */
    Orders  *[]AlibabaWdkSupplierOrderListOrderSyncDto `json:"orders,omitempty" `

    /*
        success     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSupplierOrderListOrderListSyncPagedResult) SetNextIndex(v int64) *AlibabaWdkSupplierOrderListOrderListSyncPagedResult {
    s.NextIndex = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListOrderListSyncPagedResult) SetReturnCode(v string) *AlibabaWdkSupplierOrderListOrderListSyncPagedResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListOrderListSyncPagedResult) SetReturnMsg(v string) *AlibabaWdkSupplierOrderListOrderListSyncPagedResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListOrderListSyncPagedResult) SetTotalNumber(v string) *AlibabaWdkSupplierOrderListOrderListSyncPagedResult {
    s.TotalNumber = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListOrderListSyncPagedResult) SetOrders(v []AlibabaWdkSupplierOrderListOrderSyncDto) *AlibabaWdkSupplierOrderListOrderListSyncPagedResult {
    s.Orders = &v
    return s
}
func (s *AlibabaWdkSupplierOrderListOrderListSyncPagedResult) SetSuccess(v bool) *AlibabaWdkSupplierOrderListOrderListSyncPagedResult {
    s.Success = &v
    return s
}
